Summary:     Build secure VPN's with Linux FreeS/WAN's IPSEC and IKE implementation
Name:        freeswan
Version:     1.99.8
Release:     12.pp
License:     GPL
Group:       Network/VPN
Source0:     http://download.freeswan.ca/super-%{name}/super-%{name}-%{version}.tar.gz
Patch0:      super-%{name}-%{version}.patch
URL:         http://www.%{name}.ca/code/super-%{name}/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@1012surf.net>
Requires:    glibc kernel >= 2.4.26 kernel.ipsec gmp libpcap perl
Requires:    openssl097 krb5-libs
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/chkconfig /bin/mkdir /bin/cat /bin/chmod
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: kernel-source >= 2.4.26 openssl097-devel gmp-devel libpcap
BuildPrereq: glibc-devel perl
ExclusiveOS: linux


%description
Linux FreeS/WAN provides IPSEC (IP Security, which is both
encryption and authentication) kernel extensions and an IKE
(Internet Key Exchange, keying and encrypted routing daemon)
as well as various rc scripts and documentation. It is known
to interoperate with other IPSEC and IKE system already de-
ployed by other vendors such as OpenBSD.

This package contains the FreeSWAN userspace tools.


%prep
%setup -q -n super-%{name}-%{version}
%patch0 -p1


%build
export CFLAGS="$RPM_OPT_FLAGS"
export CFLAG="$CFLAGS"
for mkfile in Makefile.inc libdes/Makefile; do
   cp -f $mkfile tmpfile
   sed -e "s:USERCOMPILE=-g -O3:USERCOMPILE=$CFLAGS -g:g" \
       -e "s:KLIPSCOMPILE=-O3:KLIPSCOMPILE=$CFLAGS:g"     \
       -e "s:CFLAG= -O3 -fomit-frame-pointer:CFLAG=$CFLAGS -fomit-frame-pointer:g" \
       tmpfile > $mkfile
   rm -f tmpfile
done
make programs
make -C contrib/ipsecrets2pem
gcc -o contrib/espinudp-check contrib/espinudp-check.c


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
make DESTDIR=$RPM_BUILD_ROOT install
install -m 700 contrib/ipsecrets2pem/ipsecrets2pem contrib/espinudp-check $RPM_BUILD_ROOT/usr/bin
chmod -R a-x $RPM_BUILD_ROOT/usr/share/man
rm -rf $RPM_BUILD_ROOT/etc/ipsec.secrets $RPM_BUILD_ROOT/usr/local


%post
if [ ! -f /etc/ipsec.secrets ]; then
   echo "Creating /etc/ipsec.secrets. Please stand by, this may take some time."
   cat > /etc/ipsec.secrets <<EOF
# This file holds shared secrets or RSA private keys for inter-Pluto
# authentication.  See ipsec_pluto(8) manpage, and HTML documentation.

# RSA private key for this host, authenticating it to any other host
# which knows the public part.  Suitable public keys, for ipsec.conf, DNS,
# or configuration of other implementations, can be extracted conveniently
# with "ipsec showhostkey".
: RSA   {
EOF
   /usr/lib/ipsec/rsasigkey 2192 >> /etc/ipsec.secrets
   echo -e "\t}" >> /etc/ipsec.secrets
   echo "# do not change the indenting of that \"}\"" >> /etc/ipsec.secrets
fi
/bin/chmod 0600 /etc/ipsec.secrets
/sbin/chkconfig --add ipsec
/sbin/chkconfig ipsec on


%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig ipsec off
   /sbin/chkconfig --del ipsec
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc BUGS CHANGES* COPYING CREDITS INSTALL README*
%doc %dir contrib doc
%config %attr(600,root,root) /etc/ipsec.conf
%dir %attr(700,root,root) /etc/ipsec.d
%config(noreplace) /etc/ipsec.d/*
/etc/rc.d/init.d/*
/usr/bin/*
%dir /usr/lib/ipsec
/usr/lib/ipsec/*
/usr/sbin/*
/usr/share/man/*


%changelog
* Mon May 10 2004 peter.pramberger@1012surf.net
- compiled for kernel 2.4.26

* Thu Sep 18 2003 peter.pramberger@1012surf.net
- compiled for kernel 2.4.22

* Wed Aug 20 2003 peter.pramberger@1012surf.net
- new version super-freeswan 1.99.8
- compiled for RH73

* Mon Jul 01 2002 peter.pramberger@1012surf.net
- new version 1.97

* Tue Mar 26 2002 peter.pramberger@1012surf.net
- new version 1.96

* Wed Sep 05 2001 peter.pramberger@1012surf.net
- kernel module removed - now in the default kernel
- added x509 support

* Thu Aug 16 2001 peter.pramberger@1012surf.net
- created

